summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/instance_storage/instance_storage-2.0.0-r1.ebuild8
-rw-r--r--dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild9
2 files changed, 11 insertions, 6 deletions
diff --git a/dev-ruby/instance_storage/instance_storage-2.0.0-r1.ebuild b/dev-ruby/instance_storage/instance_storage-2.0.0-r1.ebuild
index 342cf1f29123..0c942728ebeb 100644
--- a/dev-ruby/instance_storage/instance_storage-2.0.0-r1.ebuild
+++ b/dev-ruby/instance_storage/instance_storage-2.0.0-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_EXTRADOC="README.md"
@@ -14,8 +14,10 @@ HOMEPAGE="https://rubygems.org/gems/instance_storage/"
LICENSE="MIT"
SLOT="$(ver_cut 1)"
KEYWORDS="~amd64 ~riscv ~x86"
-IUSE=""
all_ruby_prepare() {
sed -i -e '/bundler/ s:^:#:' Rakefile test/instance_storage_test.rb || die
+
+ sed -e 's/MiniTest::Unit::TestCase/Minitest::Test/' \
+ -i test/instance_storage_test.rb || die
}
diff --git a/dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild b/dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild
index 513ac728e47d..97042d4f6d06 100644
--- a/dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild
+++ b/dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
inherit ruby-fakegem
@@ -12,7 +12,7 @@ HOMEPAGE="https://docs.seattlerb.org/net-http-pipeline/"
LICENSE="MIT"
SLOT="1"
KEYWORDS="~amd64"
-IUSE=""
+IUSE="test"
ruby_add_bdepend "
test? ( dev-ruby/minitest )
@@ -20,6 +20,9 @@ ruby_add_bdepend "
all_ruby_prepare() {
eapply -p0 "${FILESDIR}/${PN}-accept-encoding.patch"
+
+ sed -e 's/MiniTest::Unit::TestCase/Minitest::Test/' \
+ -i test/test_net_http_pipeline.rb || die
}
each_ruby_test() {